﻿using System;
using System.Collections.Generic;
using System.Text;
using Opalis.QuickIntegrationKit;

namespace ScheduledTasksIntegrationPack
{
    [OpalisData("Opalis Scheduled Task")]
    class opalisTask
    {
        private String taskName = String.Empty;
        private String AccountName = String.Empty;
        private String ApplicationName = String.Empty;
        private String Comment = String.Empty;
        private String Creator = String.Empty;
        private String ExitCode = String.Empty;
        private String Flags = String.Empty;
        private String Hidden = String.Empty;
        private String IdleWaitDeadlineMinutes = String.Empty;
        private String IdleWaitMinutes = String.Empty;
        private String MaxRunTime = String.Empty;
        private String MaxRunTimeLimited = String.Empty;
        private String MostRecentRunTime = String.Empty;
        private String NextRunTime = String.Empty;
        private String Parameters = String.Empty;
        private String Priority = String.Empty;
        private String Status = String.Empty;
        private String WorkingDirectory = String.Empty;

        internal opalisTask(String taskName, String AccountName, String ApplicationName, String Comment, String Creator, 
                            String ExitCode, String Flags, String Hidden, String IdleWaitDeadlineMinutes, String IdleWaitMinutes,
                            String MaxRunTime, String MaxRunTimeLimited, String MostRecentRunTime, String NextRunTime, 
                            String Parameters, String Priority, String Status, String WorkingDirectory)
        {
            this.taskName = taskName;
            this.AccountName = AccountName;
            this.ApplicationName = ApplicationName;
            this.Comment = Comment;
            this.Creator = Creator;
            this.ExitCode = ExitCode;
            this.Flags = Flags;
            this.Hidden = Hidden;
            this.IdleWaitDeadlineMinutes = IdleWaitDeadlineMinutes;
            this.IdleWaitMinutes = IdleWaitMinutes;
            this.MaxRunTime = MaxRunTime;
            this.MaxRunTimeLimited = MaxRunTimeLimited;
            this.MostRecentRunTime = MostRecentRunTime;
            this.NextRunTime = NextRunTime;
            this.Parameters = Parameters;
            this.Priority = Priority;
            this.Status = Status;
            this.WorkingDirectory = WorkingDirectory;
        }

        [OpalisOutput, OpalisFilter]
        public String Task_Name
        {
            get { return taskName; }
        }
        [OpalisOutput, OpalisFilter]
        public String Account_Name
        {
            get { return AccountName; }
        }
        [OpalisOutput, OpalisFilter]
        public String Application_Name
        {
            get { return ApplicationName; }
        }
        [OpalisOutput, OpalisFilter]
        public String comment
        {
            get { return Comment; }
        }
        [OpalisOutput, OpalisFilter]
        public String creator
        {
            get { return Creator; }
        }
        [OpalisOutput, OpalisFilter]
        public String Exit_Code
        {
            get { return ExitCode; }
        }
        [OpalisOutput, OpalisFilter]
        public String flags
        {
            get { return Flags; }
        }
        [OpalisOutput, OpalisFilter]
        public String hidden
        {
            get { return Hidden; }
        }
        [OpalisOutput, OpalisFilter]
        public String Idle_Wait_Deadline_Minutes
        {
            get { return IdleWaitDeadlineMinutes; }
        }
        [OpalisOutput, OpalisFilter]
        public String Idle_Wait_Minutes
        {
            get { return IdleWaitMinutes; }
        }
        [OpalisOutput, OpalisFilter]
        public String Max_Run_Time
        {
            get { return MaxRunTime; }
        }
        [OpalisOutput, OpalisFilter]
        public String Max_Run_Time_Limited
        {
            get { return MaxRunTimeLimited; }
        }
        [OpalisOutput, OpalisFilter]
        public String Most_Recent_Run_Time
        {
            get { return MostRecentRunTime; }
        }
        [OpalisOutput, OpalisFilter]
        public String Next_Run_Time
        {
            get { return NextRunTime; }
        }
        [OpalisOutput, OpalisFilter]
        public String parameters
        {
            get { return Parameters; }
        }
        [OpalisOutput, OpalisFilter]
        public String priority
        {
            get { return Priority; }
        }
        [OpalisOutput, OpalisFilter]
        public String status
        {
            get { return Status; }
        }
        [OpalisOutput, OpalisFilter]
        public String Working_Directory
        {
            get { return WorkingDirectory; }
        }
    }
}
